### Method

# Xdp Session touch_down

#### Declaration [src]

    void
    xdp_session_touch_down (
      XdpSession* session,
      guint stream,
      guint slot,
      double x,
      double y
    )

#### Description [src]

Notify about a new touch down event.

The `(x, y)` position represents the new touch point position in the streams logical coordinate space.

May only be called on a remote desktop session with `XDP_DEVICE_TOUCHSCREEN` access.

#### Parameters

`stream`

  Type: `guint`

  The node ID of the pipewire stream the position is relative to.

`slot`

  Type: `guint`

  Touch slot where the touch point appeared.

`x`

  Type: `double`

  New X position.

`y`

  Type: `double`

  New Y position.